## molotov 1.2

=== Makefile ===
PREFIX ?= /usr
DESTDIR ?=
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/share/man

all:
	@echo "Molotov is a shell script, so there is nothing to do. Try using \"make install\" instead."

install-common:
	@install -v -d "$(DESTDIR)$(MANDIR)/man1" && install -m 0644 -v man/molotov.1 "$(DESTDIR)$(MANDIR)/man1/molotov.1"
	@install -v -d "$(DESTDIR)$(MANDIR)/pt_BR/man1" && install -m 0644 -v man/pt_BR/molotov.1 "$(DESTDIR)$(MANDIR)/pt_BR/man1/molotov.1"

install: install-common
	@install -v -d "$(DESTDIR)$(BINDIR)/" && install -m 0755 -v src/molotov "$(DESTDIR)$(BINDIR)/molotov"

uninstall:
	@rm -v \
		"$(DESTDIR)$(BINDIR)/molotov" \
		"$(DESTDIR)$(MANDIR)/man1/molotov.1" \
		"$(DESTDIR)$(MANDIR)/pt_BR/man1/molotov.1"
	@rmdir -v --ignore-fail-on-non-empty -p \
		"$(DESTDIR)$(MANDIR)/pt_BR/man1/" \
		"$(DESTDIR)$(MANDIR)/man1/"

=== debian/changelog ===
molotov (1.2-1) unstable; urgency=medium

  * Initial release
  * (closes: #988302)

 -- Cézar Augusto de Campos <cezargaiteiro@protonmail.com>  Sun, 30 May 2021 18:44:00 -0300

=== debian/control ===
Source: molotov
Section: contrib/otherosfs
Priority: optional
Maintainer: Cézar Augusto de Campos <cezargaiteiro@protonmail.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://cizordj.github.io/molotov
Vcs-Browser: https://github.com/cizordj/molotov-debian
Vcs-Git: https://github.com/cizordj/molotov-debian.git

Package: molotov
Architecture: all
Conflicts: python3-molotov
Depends: dash,
 mount,
 util-linux (>= 2.36),
 fdisk (>= 2.36),
 ntfs-3g,
 dosfstools (>= 4.1),
 grub2-common (>= 2.04),
 grub-efi-amd64-bin (>= 2.04),
 grub-pc-bin (>= 2.04),
 ${misc:Depends}
Description: Create a bootable media from a Windows 10 iso image
 The Molotov project aims to make it easy to create a bootable flash drive for
 Windows 10 installation. What you need is a Windows® 10 iso image which can be
 downloaded from Microsoft's website and a flash drive with at least 8Gb.
 This program may work in older versions of Windows as well, although it is
 not supported.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp prefix=/usr install

=== debian/watch ===
version=4
opts=filenamemangle=s/$/.asc/ \
  https://github.com/cizordj/molotov/tags .*/v?(\d\S+)\.tar\.gz

## molotov 1.2.1

=== debian/changelog ===
molotov (1.2.1-1) unstable; urgency=medium

  * New upstream release (v1.2.1)
  * Bump standards version to 4.6.0
  * Change package architecture to amd64
  * Update minor stuff in the package system

 -- Cézar Augusto de Campos <cezargaiteiro@protonmail.com>  Tue, 10 May 2022 18:21:00 -0300

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Priority: optional
 Maintainer: Cézar Augusto de Campos <cezargaiteiro@protonmail.com>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Homepage: https://cizordj.github.io/molotov
+Homepage: https://cizordj.codeberg.page/molotov/
 Vcs-Browser: https://github.com/cizordj/molotov-debian
 Vcs-Git: https://github.com/cizordj/molotov-debian.git
 
 Package: molotov
-Architecture: all
+Architecture: amd64
 Conflicts: python3-molotov
 Depends: dash,
- mount,
+ mount (>= 2.37.2),
  util-linux (>= 2.36),
  fdisk (>= 2.36),
- ntfs-3g,
+ ntfs-3g (>= 1:2021.8.22),
  dosfstools (>= 4.1),
  grub2-common (>= 2.04),
  grub-efi-amd64-bin (>= 2.04),

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:

	echo "Skipping the build process"

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp prefix=/usr install

## molotov 1.3

=== Makefile ===
--- 
+++ 
@@ -14,10 +14,19 @@
 	@install -v -d "$(DESTDIR)$(BINDIR)/" && install -m 0755 -v src/molotov "$(DESTDIR)$(BINDIR)/molotov"
 
 uninstall:
-	@rm -v \
+	@printf 'Removing the files:\n%s\n%s\n%s\n' \
+		"$(DESTDIR)$(BINDIR)/molotov" \
+		"$(DESTDIR)$(MANDIR)/man/molotov.1" \
+		"$(DESTDIR)$(MANDIR)/pt_BR/man1/molotov.1"
+	@rm \
 		"$(DESTDIR)$(BINDIR)/molotov" \
 		"$(DESTDIR)$(MANDIR)/man1/molotov.1" \
 		"$(DESTDIR)$(MANDIR)/pt_BR/man1/molotov.1"
-	@rmdir -v --ignore-fail-on-non-empty -p \
+	@printf 'Removing directories:\n%s\n%s\n%s\n' \
 		"$(DESTDIR)$(MANDIR)/pt_BR/man1/" \
+		"$(DESTDIR)$(MANDIR)/pt_BR/" \
 		"$(DESTDIR)$(MANDIR)/man1/"
+	-@rmdir \
+		"$(DESTDIR)$(MANDIR)/pt_BR/man1/" \
+		"$(DESTDIR)$(MANDIR)/pt_BR/" \
+		"$(DESTDIR)$(MANDIR)/man1/"

=== debian/changelog ===
molotov (1.3-1) unstable; urgency=medium

  * Bump standards version to 4.7.0.2
  * New upstream release (v1.3)

 -- Cézar Augusto de Campos <debian@cezarcampos.com.br>  Fri, 24 Jan 2025 07:00:00 -0300

molotov (1.2.1-2) unstable; urgency=medium

  * Bump standards version to 4.6.1
  * Add GPG signature verification on debian/watch
  * Add an upstream metadata file

 -- Cézar Augusto de Campos <cezargaiteiro+mentors.debian.net@proton.me>  Thu, 27 Oct 2022 14:35:00 -0300

=== debian/control ===
Source: molotov
Section: contrib/otherosfs
Priority: optional
Maintainer: Cézar Augusto de Campos <debian@cezarcampos.com.br>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0.2
Rules-Requires-Root: no
Homepage: https://codeberg.org/cizordj/molotov-debian/
Vcs-Browser: https://codeberg.org/cizordj/molotov-debian/
Vcs-Git: https://codeberg.org/cizordj/molotov-debian.git

Package: molotov
Architecture: amd64
Conflicts: python3-molotov
Depends: dash,
 mount (>= 2.37.2),
 util-linux (>= 2.36),
 fdisk (>= 2.36),
 ntfs-3g (>= 1:2021.8.22),
 dosfstools (>= 4.1),
 grub2-common (>= 2.04),
 grub-efi-amd64-bin (>= 2.04),
 grub-pc-bin (>= 2.04),
 ${misc:Depends}
Description: Create a bootable flash drive from a Windows 10/11 ISO image
 The Molotov project simplifies the creation of a bootable flash drive for
 Windows installation. You need a Windows ISO image, downloadable from
 Microsoft's website, and a flash drive with at least 8GB of storage.
 This program might work with older versions of Windows, but they are
 not supported.

=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag" \
      https://codeberg.org/cizordj/molotov.git refs/tags/v(\d\S+)
